#ifndef DIALS_H
#define DIALS_H

#include <QtGui>
#include "ui_listapns.h"
#include "ui_editapn.h"
#include "ui_about.h"
#include "ui_aide.h"
#include "apn.h"
#include "monimage.h"

///---------------------------
class DialAPNList : public QDialog, private Ui::apnDialog
{
    Q_OBJECT
  public:
    DialAPNList(QWidget *parent, QString &rep, QStringList &images);
  protected slots :
    void changeExif(const QModelIndex &, const QModelIndex &);
    void changeApn (const QModelIndex &, const QModelIndex &);
    void ajoute();
    void supprime();
    void edite();
  private:
    void initExs(QString &rep, QStringList &images);
  private:
    Ui::apnDialog          ui;
    QStandardItemModel     amodel;
    QStandardItemModel     emodel;
    QStandardItemModel     namodel;
    QStandardItemModel     nemodel;
    QList<Exifs>           exs;
    QList<APN>             newapns;
};

///---------------------------
class EditAPN : public QDialog, private Ui::editDialog
{
    Q_OBJECT
  public:
    EditAPN(QWidget *parent, APN &apn);
    void saveApn(APN &apn);
  private:
    Ui::editDialog          ui;
};
//---------------------------
class AboutDialog : public QDialog, private Ui::AboutDialog
{
    Q_OBJECT
  public:
    AboutDialog(QWidget *parent = 0);
    void setVersion(QString v)      { ui.lbVersion->setText(QString("Version : %1").arg(v)); }
    void setExifVersion(QString v)  { ui.lbVersionExiv2->setText(QString("Exiv2 version : %1").arg(v)); }
  private:
    Ui::AboutDialog   ui;
};
//---------------------------
class Aide : public QDialog, private Ui::AideDialog
{
   Q_OBJECT
 public:
  Aide(QWidget *parent = 0);
private:
  Ui::AideDialog          ui;
};

#endif
