; Fichier de gnration d'installeur pour NSIS de NullSoft
; Url : http://nsis.sourceforge.net/Main_Page
; Bruno ANSELME - 1er mars 2007
!include Library.nsh

; Le nom de l'installeur
Name "exifrename"

; Nom du programme installeur  crer
OutFile "exifrename-SetUp.exe"

; Rpertoire destination de l'installation
InstallDir $PROGRAMFILES\MadB

; Langues. Le premier est par dfaut
LoadLanguageFile "${NSISDIR}\Contrib\Language files\French.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language files\English.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language files\Dutch.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language files\German.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language files\Korean.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language files\Russian.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language files\Spanish.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language files\Swedish.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language files\TradChinese.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language files\SimpChinese.nlf"
LoadLanguageFile "${NSISDIR}\Contrib\Language files\Slovak.nlf"

LicenseText "Ce programme va installer exifrename par MadB"
LicenseData "GPL.txt"

Page license
;Page components
Page directory
Page instfiles
UninstPage uninstConfirm
UninstPage instfiles

Var ALREADY_INSTALLED

;--------------------------------
Section "Application"

  ; Set output path to the installation directory.
  SetOutPath $INSTDIR
  ; Put file there
  File release\exifrename.exe
  File exifrename.ico

  ;Add code here that sets $ALREADY_INSTALLED to a non-zero value if the application is
  ;already installed. For example:
  StrCpy $ALREADY_INSTALLED 0
  IfFileExists "$INSTDIR\exifrename.exe" 0 new_installation
    StrCpy $ALREADY_INSTALLED 1
  new_installation:

  !insertmacro InstallLib REGDLL $ALREADY_INSTALLED REBOOT_NOTPROTECTED C:\Qt\Desktop\Qt\4.7.4\mingw\bin\QtCore4.dll    $SYSDIR\QtCore4.dll  $SYSDIR
  !insertmacro InstallLib REGDLL $ALREADY_INSTALLED REBOOT_NOTPROTECTED C:\Qt\Desktop\Qt\4.7.4\mingw\bin\QtGui4.dll     $SYSDIR\QtGui4.dll   $SYSDIR
  !insertmacro InstallLib REGDLL $ALREADY_INSTALLED REBOOT_NOTPROTECTED C:\Qt\mingw\bin\mingwm10.dll       $SYSDIR\mingwm10.dll $SYSDIR
  !insertmacro InstallLib REGDLL $ALREADY_INSTALLED REBOOT_NOTPROTECTED C:\Qt\mingw\bin\libgcc_s_dw2-1.dll $SYSDIR\libgcc_s_dw2-1.dll $SYSDIR
  !insertmacro InstallLib REGDLL $ALREADY_INSTALLED REBOOT_NOTPROTECTED release\exiv2.dll $SYSDIR\exiv2.dll $SYSDIR

  CreateDirectory "$SMPROGRAMS\MadB"
  CreateShortCut  "$SMPROGRAMS\MadB\exifrename.lnk" "$INSTDIR\exifrename.exe" "" "$INSTDIR\exifrename.ico"
  CreateShortCut  "$DESKTOP\exifrename.lnk" "$INSTDIR\exifrename.exe" "" "$INSTDIR\exifrename.ico"

  WriteUninstaller $INSTDIR\uninstaller-exifrename.exe
SectionEnd ; end the section

Section "Uninstall"                          ; Dsintaller
  !insertmacro UnInstallLib REGDLL SHARED REBOOT_NOTPROTECTED  $SYSDIR\QtCore4.dll  ; les bibliothques
  !insertmacro UnInstallLib REGDLL SHARED REBOOT_NOTPROTECTED  $SYSDIR\QtGui4.dll
  !insertmacro UnInstallLib REGDLL SHARED REBOOT_NOTPROTECTED  $SYSDIR\mingwm10.dll
  !insertmacro UnInstallLib REGDLL SHARED REBOOT_NOTPROTECTED  $SYSDIR\exiv2.dll

  Delete $INSTDIR\exifrename.ico               ; l'icone
  Delete $INSTDIR\exifrename.exe               ; le programme
  RMDir  $INSTDIR                              ; le rpertoire du programme
  Delete $SMPROGRAMS\MadB\exifrename.lnk       ; le lien du menu Dmarrer
  RMDir  $SMPROGRAMS\MadB                      ; le rpertoire du menu Dmarrer
  Delete $DESKTOP\exifrename.lnk               ; le lien sur le Bureau
  DeleteRegKey HKCU "Software\MadB\exifrename" ; les valeurs dans le registre
  Delete $INSTDIR\uninstaller-exifrename.exe   ; le programme dsinstalleur
SectionEnd

;--------------------------------
