TEMPLATE        = app
TARGET          = exifrename # Dans fenetre.h, exifrename.spec, exifrename.nsi, exifrename.bat
VERSION         = 0.8       # APP_VERSION (fenetre.h) et Version (exifrename.spec)
CODECFORSRC     = UTF-8

#DEFINES += "APP_VERSION=\'\"$$VERSION\"\'"

unix {
  CONFIG += $${QMAKE_HOST.arch}
  INCLUDEPATH += /usr/include/exiv2
  CONFIG(x86_64) {
    LIBS  += /usr/lib64/libexiv2.so
  }
  else {
    LIBS  += /usr/lib/libexiv2.so
  }
}

win32 {
  INCLUDEPATH  += ../exiv2-0.22/src
  CONFIG -= debug
  LIBS         += ../exiv2-0.22/src/release/exiv2.dll
}

# Input
FORMS          += \
    listapns.ui \
    errlist.ui \
    editapn.ui \
    about.ui \
    exifrename.ui \
    aide.ui
HEADERS        += apn.h \
                  dials.h \
                  monimage.h \
                  fenetre.h
SOURCES        += apn.cpp \
                  dials.cpp \
                  fenetre.cpp \
                  main.cpp
TRANSLATIONS    = exifrename_fr.ts

RESOURCES += \
    exifrename.qrc
MY_FILES   = exifrename.pro
OTHER_FILES += \
    exifrename_fr.qm \
    LIRE.moi \
    exifrename.spec \
    exifrename.desktop \
    GPL.txt \
    exifrename.ico \
    exifrename.nsi \
    exifrename.bat \
    index.html

exifrename.depends += index.html

message($$DEFINES)

message("QMake : $$TARGET, version : $$VERSION, architecture : $${QMAKE_HOST.arch}")
# ---------------------------------------------------------------
# Archivage par Bruno ANSELME, s'utilise en faisant : make zip
# On peut régler le numero de version et le dossier d'archivage
# Envoi une copie vers le répertoire de génération des RPMs
# ---------------------------------------------------------------
unix {
  ARCHIVDIR = ../../Archives
  ARCHIVDIR = "$$ARCHIVDIR/"
#  !exists($$ARCHIVDIR) {
#    message("Creation du repertoire des archives : $$ARCHIVDIR")
#    system(mkdir $${ARCHIVDIR})
#  }
  ZIP = "/bin/tar czf"
  zip.target = zip
  zip.depends = clean
  zip.commands = \
    mkdir $${TARGET}-$${VERSION} ;\
    mkdir $${TARGET}-$${VERSION}/images ;\
    cp -fr exiv2/ images/ $$FORMS $$HEADERS $$SOURCES $$RESOURCES $$OTHER_FILES \
    $$TRANSLATIONS $$MY_FILES $${TARGET}-$${VERSION} ;\
    $$ZIP $${TARGET}-$${VERSION}.tar.gz $${TARGET}-$${VERSION}/* ;\
    rm -Rf $${TARGET}-$${VERSION} ;\
    cp $${TARGET}-$${VERSION}.tar.gz ~/rpm/SOURCES/ ;\
    mv $${TARGET}-$${VERSION}.tar.gz $$ARCHIVDIR
  QMAKE_EXTRA_TARGETS += zip
}

# --------------------------------------------------------------------
# Génération de RPM par Bruno ANSELME, s'utilise en faisant : make rpm
# Crée des paquets sources dans ~/rpm/SRPMS
# Crée des paquets binaires pour i586 et x86_64 dans ~/rpm/RPMS
# --------------------------------------------------------------------
unix {
  rpm.target = rpm
  rpm.depends = zip
  rpm.commands = \
    rpmbuild -bs exifrename.spec && \
    rpmbuild -bb --target=$${QMAKE_HOST.arch} exifrename.spec
  QMAKE_EXTRA_TARGETS += rpm
}
