#ifndef FENETRE_H
#define FENETRE_H

#include <QtGui>
#include "ui_exifrename.h"
#include "dials.h"
#include "apn.h"

#define APP_NAME "ExifRename"
#define APP_VERSION "0.8"

///---------------------------
typedef struct s_undo {
  QString     rep;
  QStringList sources;
  QStringList dests;
} t_undo;

///---------------------------
class Fenetre : public QMainWindow, private Ui::Fenetre
{
    Q_OBJECT
  public:
    Fenetre();
  public slots:
    void changeMotif();
  protected:
    void closeEvent(QCloseEvent *event);
  protected slots :
    void choisirDir();
    void relireDir();
    void prepare(bool force=true);
    void appliquer();
    void identifier();
    void changeFic(const QModelIndex &index, const QModelIndex &prev);
    void voirExif(const QModelIndex &);
    void tooglePreview(int);
    void editeApn();
    void annuler();
    void about();
    void aide();
  private:
    void readSettings();
    void writeSettings();
    void lireDir(QString &dir);
    void majApns();
    void appendDir(QString dir, bool recursif = false);
    QList<QStandardItem *> creeColonne(QStringList &, QList<bool> &, QBrush &);
    void setHeader();
    QString renomme(const QString &fic, bool &, QString &);
  private:
    Ui::Fenetre            ui;
    QString                curRep;
    QStringList            filtrimages;
    QStandardItemModel     fmodel, emodel, amodel;
    QStringList            srcFics, dstFics;
    bool                   motifChange;
    QStack<t_undo>         stackUndo;
};

#endif
